## org.apache.taglibs.standard.lang.jstl
Class EqualityOperator

    java.lang.Object
      org.apache.taglibs.standard.lang.jstl.BinaryOperator
          org.apache.taglibs.standard.lang.jstl.EqualityOperator

Direct Known Subclasses:
  EqualsOperator, NotEqualsOperator

    public abstract class EqualityOperator

extends BinaryOperator

This is the superclass for all equality operators (==, !=)

Version:
  $Change: 181177 $$DateTime: 2001/06/26 08:45:09 $$Author: tcfujii $
Author:
  Nathan Abramson - Art Technology Group

Constructor Summary
`EqualityOperator()`

Method Summary
`abstract boolean` `apply(boolean pAreEqual, Logger pLogger)` Applies the operator given the fact that the two elements are equal.
`Object` `apply(Object pLeft, Object pRight, Object pContext, Logger pLogger)` Applies the operator to the given value

Methods inherited from class org.apache.taglibs.standard.lang.jstl.BinaryOperator
`getOperatorSymbol, shouldCoerceToBoolean, shouldEvaluate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EqualityOperator

    public EqualityOperator()

Method Detail

### apply

    public Object apply(Object pLeft,
                        Object pRight,
                        Object pContext,
                        Logger pLogger)
                 throws ELException

  Applies the operator to the given value

  Specified by:
    `apply` in class `BinaryOperator`
  Throws:
    `ELException`

### apply

    public abstract boolean apply(boolean pAreEqual,
                                  Logger pLogger)

  Applies the operator given the fact that the two elements are equal.

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.